From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-proxy/mitmproxy/
Date: Sat, 20 Jun 2020 17:42:51 +0000 (UTC) [thread overview]
Message-ID: <1592674939.ea1bca05f2c20d0b20139d2cc217b80b2f535ce1.bman@gentoo> (raw)
commit: ea1bca05f2c20d0b20139d2cc217b80b2f535ce1
Author: Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 20 17:41:14 2020 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sat Jun 20 17:42:19 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea1bca05
Revert "net-proxy/mitmproxy: drop last-rited pkg"
This reverts commit cafca86e0ff9ae35a166ce78bf6fb71973f43da6.
* package was bumped to work with py3.7
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>
net-proxy/mitmproxy/Manifest | 2 +
net-proxy/mitmproxy/metadata.xml | 8 +++
net-proxy/mitmproxy/mitmproxy-4.0.4.ebuild | 85 ++++++++++++++++++++++++++
net-proxy/mitmproxy/mitmproxy-5.1.1.ebuild | 95 ++++++++++++++++++++++++++++++
4 files changed, 190 insertions(+)
diff --git a/net-proxy/mitmproxy/Manifest b/net-proxy/mitmproxy/Manifest
new file mode 100644
index 00000000000..992813c1a41
--- /dev/null
+++ b/net-proxy/mitmproxy/Manifest
@@ -0,0 +1,2 @@
+DIST mitmproxy-4.0.4.tar.gz 27131713 BLAKE2B 2748b0f3b66e1f5840aae792a1b4cd8ef8efa3673fa24bc0c3e15474b36d68c0f6b2203cf629b6444545b8c6223752232b2ce8526290fe5d74916946e8917a03 SHA512 e08ea8b1c75a95b822c463625509037bbc8a979161cacaa1f0185f98df8d6d7e5400925365dbbe70d18751251b1005824f739a8cd035c0389f7b4aea562adfb3
+DIST mitmproxy-5.1.1.tar.gz 27223155 BLAKE2B 38369eb07c41bde9f8e8c246ab5cc4fc6edfcd222f353624f4d2ae193f176228471aafdadd1b65238ccd808d778a69e1d140035be9116b87a75c286493747fe8 SHA512 ac5cd82d4d89590b57625661c493aca6a702605c612ea1acd9e0d0806067d47f60085ee68260bba2a10dc343410ae6a76ea1575287a0e312e4467a4e8485c6e1
diff --git a/net-proxy/mitmproxy/metadata.xml b/net-proxy/mitmproxy/metadata.xml
new file mode 100644
index 00000000000..c7003e858b4
--- /dev/null
+++ b/net-proxy/mitmproxy/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <!-- maintainer-needed -->
+ <upstream>
+ <remote-id type="pypi">mitmproxy</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/net-proxy/mitmproxy/mitmproxy-4.0.4.ebuild b/net-proxy/mitmproxy/mitmproxy-4.0.4.ebuild
new file mode 100644
index 00000000000..34ecccf7049
--- /dev/null
+++ b/net-proxy/mitmproxy/mitmproxy-4.0.4.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_6 )
+inherit distutils-r1
+
+DESCRIPTION="An interactive, SSL-capable, man-in-the-middle HTTP proxy"
+HOMEPAGE="https://mitmproxy.org/"
+SRC_URI="https://github.com/mitmproxy/mitmproxy/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/blinker-1.4[${PYTHON_USEDEP}]
+ >=dev-python/brotlipy-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/certifi-2015.11.20.1[${PYTHON_USEDEP}]
+ >=dev-python/click-6.2[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.1.4[${PYTHON_USEDEP}]
+ >=dev-python/hyper-h2-3.0.1[${PYTHON_USEDEP}]
+ >=dev-python/hyperframe-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/kaitaistruct-0.7[${PYTHON_USEDEP}]
+ >=dev-python/ldap3-2.5[${PYTHON_USEDEP}]
+ >=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-17.5[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.1.3[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.15[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-1.5.4[${PYTHON_USEDEP}]
+ >=www-servers/tornado-4.3[${PYTHON_USEDEP}]
+ >=dev-python/urwid-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/wsproto-0.11.0[${PYTHON_USEDEP}]
+"
+
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/flask-1.0[${PYTHON_USEDEP}]
+ >=dev-python/parver-0.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-3.3[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+ )"
+
+RESTRICT="!test? ( test )"
+
+python_prepare_all() {
+ # loosen dependencies
+ sed -i '/>/s/>.*/",/g' setup.py || die
+
+ # remove failing tests
+ sed -e 's/test_iframe_injector/_&/g' \
+ -i test/examples/test_examples.py || die
+
+ sed -e 's/test_find_unclaimed_URLs/_&/g' \
+ -i test/examples/test_xss_scanner.py || die
+
+ rm test/mitmproxy/addons/test_readfile.py || die
+
+ sed \
+ -e 's/test_mode_none_should_pass_without_sni/_&/g' \
+ -e 's/test_mode_strict_w_pemfile_should_pass/_&/g' \
+ -e 's/test_mode_strict_w_confdir_should_pass/_&/g' \
+ -i test/mitmproxy/net/test_tcp.py || die
+
+ sed \
+ -e 's/test_verification_w_confdir/_&/g' \
+ -e 's/test_verification_w_pemfile/_&/g' \
+ -i test/mitmproxy/proxy/test_server.py || die
+
+ # needs pytest-asyncio
+ rm test/mitmproxy/tools/test_main.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ pytest -vv || die
+}
diff --git a/net-proxy/mitmproxy/mitmproxy-5.1.1.ebuild b/net-proxy/mitmproxy/mitmproxy-5.1.1.ebuild
new file mode 100644
index 00000000000..1e3fcc5ed4b
--- /dev/null
+++ b/net-proxy/mitmproxy/mitmproxy-5.1.1.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7} )
+inherit distutils-r1
+
+DESCRIPTION="An interactive, SSL-capable, man-in-the-middle HTTP proxy"
+HOMEPAGE="https://mitmproxy.org/"
+SRC_URI="https://github.com/mitmproxy/mitmproxy/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/blinker-1.4[${PYTHON_USEDEP}]
+ >=dev-python/brotlipy-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/certifi-2015.11.20.1[${PYTHON_USEDEP}]
+ >=dev-python/click-6.2[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.9[${PYTHON_USEDEP}]
+ >=dev-python/flask-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/hyper-h2-3.0.1[${PYTHON_USEDEP}]
+ >=dev-python/hyperframe-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/kaitaistruct-0.7[${PYTHON_USEDEP}]
+ >=dev-python/ldap3-2.5[${PYTHON_USEDEP}]
+ >=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.6.0[${PYTHON_USEDEP}]
+ >=dev-python/publicsuffix-2.20190205[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-17.5[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.1.3[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.15[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-1.5.4[${PYTHON_USEDEP}]
+ >=www-servers/tornado-4.3[${PYTHON_USEDEP}]
+ >=dev-python/urwid-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/wsproto-0.11.0[${PYTHON_USEDEP}]
+"
+
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/flask-1.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-4.50.8[${PYTHON_USEDEP}]
+ >=dev-python/parver-0.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-3.3[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.8.1[${PYTHON_USEDEP}]
+ )"
+
+RESTRICT="!test? ( test )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # loosen dependencies
+ sed -i '/>/s/>.*/",/g' setup.py || die
+
+ # fix brotli dependency
+ sed -i 's/Brotli/brotlipy/g' setup.py || die
+
+ # remove failing tests
+ sed -e 's/test_iframe_injector/_&/g' \
+ -i test/examples/test_examples.py || die
+
+ sed -e 's/test_find_unclaimed_URLs/_&/g' \
+ -i test/examples/test_xss_scanner.py || die
+
+ rm test/mitmproxy/addons/test_readfile.py || die
+
+ sed \
+ -e 's/test_mode_none_should_pass_without_sni/_&/g' \
+ -e 's/test_mode_strict_w_pemfile_should_pass/_&/g' \
+ -e 's/test_mode_strict_w_confdir_should_pass/_&/g' \
+ -i test/mitmproxy/net/test_tcp.py || die
+
+ sed \
+ -e 's/test_verification_w_confdir/_&/g' \
+ -e 's/test_verification_w_pemfile/_&/g' \
+ -i test/mitmproxy/proxy/test_server.py || die
+
+ # needs pytest-asyncio
+ rm test/mitmproxy/tools/test_main.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ pytest -vv || die
+}
next reply other threads:[~2020-06-20 17:42 UTC|newest]
Thread overview: 55+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-06-20 17:42 Aaron Bauman [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-07 2:07 [gentoo-commits] repo/gentoo:master commit in: net-proxy/mitmproxy/ Michał Górny
2025-04-30 5:36 Michał Górny
2025-04-20 11:43 Michał Górny
2025-01-25 11:01 Arthur Zamarin
2025-01-04 16:17 Sam James
2024-12-31 16:01 Michał Górny
2024-12-31 16:01 Michał Górny
2023-12-07 16:22 Matthew Smith
2023-03-06 16:23 Arthur Zamarin
2023-02-21 10:00 Michał Górny
2023-02-21 9:30 Sam James
2022-12-05 20:17 Arthur Zamarin
2022-11-18 8:49 Arthur Zamarin
2022-11-02 12:31 Matthew Smith
2022-09-09 9:48 Matthew Smith
2022-08-17 7:06 Agostino Sarubbo
2022-07-10 8:40 Matthew Smith
2022-07-10 8:40 Matthew Smith
2022-07-10 6:17 Agostino Sarubbo
2022-05-21 8:17 Matthew Smith
2022-05-14 10:05 Matthew Smith
2022-04-28 17:37 Matthew Smith
2022-02-13 19:06 Matthew Smith
2022-01-21 7:08 Joonas Niilola
2021-12-04 9:45 Joonas Niilola
2021-10-31 3:00 Sam James
2021-09-17 18:19 John Helmert III
2021-09-17 9:18 Agostino Sarubbo
2021-09-16 20:23 Ionen Wolkens
2021-09-16 18:44 Ionen Wolkens
2021-09-11 8:18 Joonas Niilola
2021-08-19 1:25 Agostino Sarubbo
2021-08-07 9:08 Ionen Wolkens
2021-07-19 10:09 Ionen Wolkens
2021-05-02 12:37 Mikle Kolyada
2021-03-01 9:20 Agostino Sarubbo
2021-01-24 0:34 Sam James
2021-01-24 0:34 Sam James
2021-01-22 23:01 Sam James
2020-12-17 14:12 Joonas Niilola
2020-11-08 12:02 Sam James
2020-11-05 12:32 Joonas Niilola
2020-10-09 7:25 Joonas Niilola
2020-10-09 7:25 Joonas Niilola
2020-10-09 7:25 Joonas Niilola
2020-09-02 22:43 Sam James
2020-09-02 22:43 Sam James
2020-08-02 4:08 Aaron Bauman
2020-06-20 17:42 Aaron Bauman
2020-06-04 7:56 Joonas Niilola
2019-11-17 22:32 Tim Harder
2019-11-17 22:32 Tim Harder
2019-01-31 9:17 Tim Harder
2019-01-19 3:22 Thomas Deutschmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1592674939.ea1bca05f2c20d0b20139d2cc217b80b2f535ce1.bman@gentoo \
--to=bman@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox